#!/bin/sh
Clear
echo "Script to create installer..."
echo

echo
echo creating folders
echo

mkdir ~/Desktop/041-56507/
cd ~/Desktop/041-56507/

echo
echo Downloading files...
echo

if [ "`ls 041-56507.English.dist`" != "041-56507.English.dist" ]; then
curl https://swdist.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/041-56507.English.dist -o 041-56507.English.dist
fi;

if [ "`ls InstallAssistantAuto.smd`" != "InstallAssistantAuto.smd" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/InstallAssistantAuto.smd -o InstallAssistantAuto.smd
fi;

if [ "`ls AppleDiagnostics.chunklist`" != "AppleDiagnostics.chunklist" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/AppleDiagnostics.chunklist -o AppleDiagnostics.chunklist
fi;

if [ "`ls AppleDiagnostics.dmg`" != "AppleDiagnostics.dmg" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/AppleDiagnostics.dmg -o AppleDiagnostics.dmg
fi;

if [ "`ls OSInstall.mpkg`" != "OSInstall.mpkg" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/OSInstall.mpkg -o OSInstall.mpkg
fi;

if [ "`ls BaseSystem.chunklist`" != "BaseSystem.chunklist" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/BaseSystem.chunklist -o BaseSystem.chunklist
fi;

if [ "`ls InstallESDDmg.chunklist`" != "InstallESDDmg.chunklist" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/InstallESDDmg.chunklist  -o InstallESDDmg.chunklist
fi;

if [ "`ls BaseSystem.dmg`" != "BaseSystem.dmg" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/BaseSystem.dmg -o BaseSystem.dmg
fi;

if [ "`ls RecoveryHDMetaDmg.pkm`" != "RecoveryHDMetaDmg.pkm" ]; then
curl https://swdist.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/RecoveryHDMetaDmg.pkm -o RecoveryHDMetaDmg.pkm
fi;

if [ "`ls RecoveryHDMetaDmg.pkg`" != "RecoveryHDMetaDmg.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/RecoveryHDMetaDmg.pkg -o RecoveryHDMetaDmg.pkg
fi;

if [ "`ls InstallAssistantAuto.pkm`" != "InstallAssistantAuto.pkm" ]; then
curl https://swdist.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/InstallAssistantAuto.pkm -o InstallAssistantAuto.pkm
fi;

if [ "`ls InstallAssistantAuto.pkg`" != "InstallAssistantAuto.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/InstallAssistantAuto.pkg -o InstallAssistantAuto.pkg
fi;

if [ "`ls InstallInfo.plist`" != "InstallInfo.plist" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/InstallInfo.plist -o InstallInfo.plist
fi;

if [ "`ls MajorOSInfo.pkm`" != "MajorOSInfo.pkm" ]; then
curl https://swdist.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/MajorOSInfo.pkm -o MajorOSInfo.pkm
fi;

if [ "`ls MajorOSInfo.pkg`" != "MajorOSInfo.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/MajorOSInfo.pkg -o MajorOSInfo.pkg
fi;

if [ "`ls InstallESDDmg.pkm`" != "InstallESDDmg.pkm" ]; then
curl https://swdist.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/InstallESDDmg.pkm -o InstallESDDmg.pkm
fi;

if [ "`ls InstallESDDmg.pkg`" != "InstallESDDmg.pkg" ]; then
curl http://swcdn.apple.com/content/downloads/32/45/041-56507/k6okp4vkzucqpoxrgrgycji6jo8z8na8sg/InstallESDDmg.pkg -o InstallESDDmg.pkg
fi;



echo
echo Building package...
echo


cd ..
productbuild --distribution ./041-56507/041-56507.English.dist --package-path ./041-56507/ installer.pkg

sudo /usr/sbin/installer -pkg installer.pkg -target /

echo
echo Copying files
echo

sudo cp ./041-56507/InstallESDDmg.pkg /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/InstallESD.dmg
sudo cp ./041-56507/AppleDiagnostics.dmg /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/
sudo cp ./041-56507/AppleDiagnostics.chunklist /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/
sudo cp ./041-56507/BaseSystem.dmg /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/
sudo cp ./041-56507/BaseSystem.chunklist /Applications/Install\ macOS\ Mojave.app/Contents/SharedSupport/

echo
echo Finished...
echo



